Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.cn
Class ChineseAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.cn.ChineseAnalyzer

    public class ChineseAnalyzer

extends Analyzer

Title: ChineseAnalyzer Description: Subclass of org.apache.lucene.analysis.Analyzer build from a ChineseTokenizer, filtered with ChineseFilter. Copyright: Copyright (c) 2001 Company:

Version:
  1.0
Author:
  Yiyi Sun

Constructor Summary
`ChineseAnalyzer()`

Method Summary
`TokenStream` | `tokenStream(String fieldName, Reader reader)` Creates a TokenStream which tokenizes all the text in the provided Reader.

Methods inherited from class org.apache.lucene.analysis.Analyzer
`getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChineseAnalyzer

    public ChineseAnalyzer()

Method Detail

### tokenStream

    public final TokenStream tokenStream(String fieldName,
                                         Reader reader)

  Creates a TokenStream which tokenizes all the text in the provided Reader.

  Specified by:
    `tokenStream` in class `Analyzer`
  Returns:
    A TokenStream build from a ChineseTokenizer filtered with ChineseFilter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.